| POST | /RestApi/nativechat/userData |
|---|
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.NativeChatConnector.Services.DTO
Namespace Global
Namespace Telerik.Sitefinity.NativeChatConnector.Services.DTO
Public Partial Class UserDataRequest
Public Overridable Property CanTrackCurrentUser As Boolean
End Class
End Namespace
End Namespace
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/nativechat/userData HTTP/1.1
Host: www.asg.com.au
Accept: application/xml
Content-Type: application/xml
Content-Length: length
<UserDataRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.NativeChatConnector.Services.DTO">
<CanTrackCurrentUser>false</CanTrackCurrentUser>
</UserDataRequest>
HTTP/1.1 200 OK Content-Type: application/xml Content-Length: length (string)